Name:           freewheeling
Version:        0.6.6
Release:        1%{?dist}
Summary:        Freewheeling Live Looper
License:        GPLv2
URL:            https://github.com/free-wheeling/%{name}
Source0:        https://github.com/free-wheeling/%{name}/archive/refs/tags/v%{version}.tar.gz
Patch01:        0001-Reorder-configure.ac-checks.patch

BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  libtool
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(nettle)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(vorbis)

%description
Freewheeling Live Looper

Freewheeling provides a highly configurable, intuitive, and fluid user
interface for instrumentalists to capture audio loops in real-time.

%prep
%autosetup -p1 -Sgit
autoreconf -ivf


%build
%configure
%make_build


%install
%make_install


%files
%license COPYING
%{_bindir}/fweelin
%{_datadir}/fweelin


%changelog
* Mon Oct 24 2022 Olivier Samyn 🎻 <code@oleastre.be>
- Initial package
